 ---     
tags: 
  - Orders
description: Creates a region for an order.
parameters:
  - in: header
    name: Authorization
    type: string
    required: true
  - in: body
    name: body
    type: object
    required: true
    schema: {
      'created_by_id': 18865, 
      'style': {
        'fill_opacity': 0.1, 
        'fill_colour': '#000000', 
        'border_weight': 5, 
        'border_opacity': 0.7, 
        'border_colour': '#0000FF'
      }
    }
produces: 
  - 'application/json'
responses:
  201:
    schema:
      type: object
      example: {
        "message": "region created",
        "id": 1
      }
  400:
    schema:
      type: object
      properties:
        error:
          type: string
          example: {
            "message": "invalid order number"
          }
  401:
    schema:
      type: object
      properties:
        error:
          type: string
          example: 'Unauthorised'
  409:
    schema:
      type: object
      properties:
        error:
          type: string
          example: {
            "message": "region already exists"
          }